petsc-3.12.4 2020-02-04
Report Typos and Errors

# SNESGetAlwaysComputesFinalResidual

does the SNES always compute the residual at the final solution?

### Synopsis

    #include "petscsnes.h"
    PetscErrorCode  SNESGetAlwaysComputesFinalResidual(SNES snes, PetscBool *flg)

Logically Collective on SNES

### Input Parameter

snes -the shell SNES

### Output Parameter

flg -is the residual computed?

### See Also

SNESSetAlwaysComputesFinalResidual()

### Level

advanced

### Location

src/snes/interface/snes.c
Index of all SNES routines
Table of Contents for all manual pages
Index of all manual pages